/*
 * DiscovererState.java
 *
 * Created on 9 giugno 2005, 15.22
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package org.jaebi.midlet.bt;

/**
 *
 * @author Antonio
 */
public interface DiscovererState {
    /** Indica che non ci sono n ricerche di servizi n ricerche di device in pending. */
    public static final int READY = 0;
    
    /** Indica che il discoverer  in cerca di device bluettoth a cui collegarsi. */
    public static final int DEVICE_SEARCH = 1;
    
    /** Indica che  avvenuto un errore che rende impossibile continuare le 
     * attivit di ricerca. Errori del genere sono quelli che avvengono durante 
     * l'inquiry o a causa di un'iterruzione del discovery */
    public static final int DISCOVERY_ERROR = 2;
    
    /** Indica che il discoverer  in cerca di servizi. */
    public static final int SERVICE_SEARCH = 3;
    
    /** Indica che  avvenuto un errore durante la ricerca dei servizi disponibili */
    public static final int NEW_SERVICE_SEARCH_ERROR = 4;
    
    /**
     * Indica che una delle ricerche di servizi sottomessa  stata completata.
     * NB questo stato indica che che solo UNA ricerca  completata ma non
     * garantisce che ce ne possano essere altre in pending. Nel momento in cui
     * non ci saranno pi ricerche in pending il discoverer sar READY
     */
    public static final int NEW_SERVICE_SEARCH_COMPLETE = 5;
    
    public int getState();
}
